package oracle.forms.jdapi.demo.util;

/** Forms JAVA API (JDAPI): <u>Utilities</u> - <em>DemoArgumentsException</em><br>
 *  A helper class that is used to raise errors when arguments are missing or
 *  incorrect on the command line
 *
 * @author drmills
 * @author 09-August-2001
 * @version 1.0
 */
public class DemoArgumentsException extends Exception
{
  private String m_exceptionMessage;

  /**
   * This class should always be instanciated with an error message
   * to make it useful
   *
   * @param <b>msg</b> Error message payload of the exception
   * @return no return value
   * @exception no exceptions thrown
   */
  public DemoArgumentsException(String msg)
  {
    m_exceptionMessage = msg;
  }


 /**
   * Simply returns the error string provided in the constructor to the class
   * @returns String error message
   */
  public String toString()
  {
    if (m_exceptionMessage == null)
      return "Unknown Error";
    else
      return m_exceptionMessage;
  }
}