@echo off
REM ************************************************************************
REM *             Launch install scripts for Forms demos.                  *
REM ************************************************************************
REM *                                                                      *
REM *    Modify the following variables and save the file before running   *
REM *    this script.                                                      *
REM *                                                                      *
REM ************************************************************************

REM
REM Put in the Oracle home path for your Developer Suite installation.
REM Example: set IDS_HOME=c:\oracle\ids1012
REM
set IDS_HOME=d:\DevSuiteHome_10_1_2

REM
REM Put in the database name for the connect string for your database.  So if
REM logon as scott/tiger@orcl, the database name in this case is "orcl".
REM Example: set DB_NAME=orcl
REM
set DB_NAME=STACI

REM
REM Put in the SYS password for your database.
REM Example: set SYS_PW=change_on_install
REM
set SYS_PW=welcome

REM
REM Put in the SYSTEM password for your database.
REM Example: set SYSTEM_PW=manager
REM
set SYSTEM_PW=welcome

REM
REM Put in the users and temp tablespaces for your database.  They default
REM to USERS and TEMP, which for most people should be fine.
REM Example: set USERS_TS=users
REM          set TEMP_TS=temp
REM
set USERS_TS=users
set TEMP_TS=temp

REM ************************************************************************
REM Only modify the variables above this line.  Do not modify anything below
REM this line.
REM ************************************************************************

if "%IDS_HOME%"==""  goto ERROR
if "%DB_NAME%"==""   goto ERROR
if "%SYS_PW%"==""    goto ERROR
if "%SYSTEM_PW%"=="" goto ERROR
if "%USERS_TS%"==""  goto ERROR
if "%TEMP_TS%"==""   goto ERROR

%IDS_HOME:~0,2%
cd %IDS_HOME%\forms\demos\sql
start "Creating Demo Schemas" /min /b /w %IDS_HOME%\bin\sqlplus /nolog @demoinstall.sql %IDS_HOME%\forms\demos %SYS_PW% %SYSTEM_PW% %DB_NAME% %USERS_TS% %TEMP_TS%

REM Healthy Living import pre-populates the images table, but we have no
REM guarantee that the correct import veiws will be available if installing on
REM an 8i database, so this may well fail.
start /w /b %IDS_HOME%\bin\imp userid=hl/hl@%DB_NAME% file=%IDS_HOME%\forms\demos\sql\hl_img.dmp ignore=Y full=y 
echo Done.
goto END

:ERROR
echo.
echo Error: You need to edit this file and set the variables at the top.  See
echo        the Oracle Forms Demos Install Guide for more information.s
echo.
goto END

:END
