package oracle.forms.demos.webservice;

/**
 * This class is designed to be called as a websservice from Forms
 * It provides an emulation of a currency converter, note that the 
 * rates are hardcoded and are not intended to reflect reality
 * this is a demonstration only.
 */

public class CurrencyConverter 
{
  public CurrencyConverter()
  {
  }

 /**
  * The method that will be called - this is a very simple hardcoded list
  * that only converts from USD to a limited number of currencies
  * The figure returned should be used to multiply the value in the source
  * currency
  */
  public static Float getRate(String currencyCodeFrom, String currencyCodeTo)
  {
    float rate = 1.0F;
    if (currencyCodeFrom.equalsIgnoreCase("USD"))
    {
      if (currencyCodeTo.equalsIgnoreCase("GBP"))
        rate = 0.70131F;
      else if (currencyCodeTo.equalsIgnoreCase("EUR"))
        rate = 1.13383F;
      else if (currencyCodeTo.equalsIgnoreCase("AUD"))
        rate = 1.88626F;
      else if (currencyCodeTo.equalsIgnoreCase("JPY"))
        rate = 131.940F;
      else if (currencyCodeTo.equalsIgnoreCase("CAD"))
        rate = 1.57900F;
      else if (currencyCodeTo.equalsIgnoreCase("CNY"))
        rate = 8.28720F;
     }
     System.out.println("Returning the rate for " + currencyCodeFrom + " to " + currencyCodeTo + " = " + rate );
     return new Float(rate);
  }

  public static void main(String[] args)
  {
    CurrencyConverter currencyConverter = new CurrencyConverter();
    Float rateUS_UK = currencyConverter.getRate("USD","GBP");
    System.out.println("10 dollars is " + (10F * rateUS_UK.floatValue()) + " Pounds");
  }
}